Bug 872916 - [TEXT] webadmin: running move from disks tab while vm is powering up yields an unclear error message from canDoAction
[TEXT] webadmin: running move from disks tab while vm is powering up yields a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: Daniel Erez
Dafna Ron
storage
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-04 03:56 EST by Dafna Ron
Modified: 2016-02-10 11:57 EST (History)
8 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log (76.18 KB, application/x-xz)
2012-11-04 03:56 EST, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-11-04 03:56:17 EST
Created attachment 637918 [details]
log

Description of problem:

the move tab is not greyed out in the disks tab while vm is powering up
it is greyed out from the vm's tab. 

when you try to move the disk we would get an incorrect error message: 

Error while executing action: Cannot move Virtual Machine Disk. At least one of the VMs is not down.

Version-Release number of selected component (if applicable):

si23

How reproducible:

100%

Steps to Reproduce:
1. run a vm
2. move disk from disks tab while vm is powering up
3.
  
Actual results:

1. move tab is not greyed out in disks tab but greyed out in vm's tab
2. incorrect text on canDoAction

Expected results:

1. we should be consistent and grey out the move button until the vm is up
2. fix CanDoAction for API

Additional info: log
Comment 1 Ayal Baron 2012-11-07 17:22:17 EST
(In reply to comment #0)
> Created attachment 637918 [details]
> log
> 
> Description of problem:
> 
> the move tab is not greyed out in the disks tab while vm is powering up
> it is greyed out from the vm's tab. 
> 
> when you try to move the disk we would get an incorrect error message: 
> 
> Error while executing action: Cannot move Virtual Machine Disk. At least one
> of the VMs is not down.
> 
> Version-Release number of selected component (if applicable):
> 
> si23
> 
> How reproducible:
> 
> 100%
> 
> Steps to Reproduce:
> 1. run a vm
> 2. move disk from disks tab while vm is powering up
> 3.
>   
> Actual results:
> 
> 1. move tab is not greyed out in disks tab but greyed out in vm's tab
> 2. incorrect text on canDoAction
> 
> Expected results:
> 
> 1. we should be consistent and grey out the move button until the vm is up

not going to happen as disks tab is a main tab and it runs a query every 5s. Fetching VM status for all the VMs of all the disks is just not realistic.

> 2. fix CanDoAction for API
> 
> Additional info: log
Comment 2 Ayal Baron 2012-12-19 06:07:12 EST
Need to change the canDoAction to something like: "Move disk is only permitted while VM is either in 'Down' or 'Up' state"
Comment 3 Daniel Erez 2012-12-30 15:09:09 EST
patch merged:
http://gerrit.ovirt.org/#/c/10154/
Change-Id: Iadcffa5748b58b1af40535b0447487dde6c2d6cb
Comment 4 Dafna Ron 2013-01-07 11:49:25 EST
Error: Cannot move Virtual Machine Disk. VM TEST1 must be in status Down or Up.

verified on sf3
Comment 5 Itamar Heim 2013-06-11 05:06:54 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:06:54 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:06:54 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:07:07 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:35:35 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.